import { IWebModule } from '@fly-vue/core';
import './extend';
export * from './components';
export { default as components } from './components';
declare const _default: IWebModule;
export default _default;
export * from './components/table/column-render';
export declare const formItemChangedMixin: any;
export declare const uploadPolicy: any;
export declare const emitterMixin: any;
export declare const modalMixin: any;
export declare const routerModules: {
    memberRouter: {
        path: string;
        name: string;
        meta: {
            title: string;
            auth: (to: any, _from: any, _next: any) => Promise<any>;
        };
        component: import("vue").VueConstructor<import("vue/types/vue").Vue>;
        children: {
            path: string;
            meta: {
                title: string;
            };
            component: import("vue").VueConstructor<import("vue/types/vue").Vue>;
        }[];
    };
    appRouter: {
        member: {
            path: string;
            name: string;
            meta: {
                title: string;
                auth: (to: any, _from: any, _next: any) => Promise<any>;
            };
            component: import("vue").VueConstructor<import("vue/types/vue").Vue>;
        };
        overview: {
            path: string;
            name: string;
            meta: {
                title: string;
                auth: (to: any, _from: any, _next: any) => Promise<any>;
            };
            component: import("vue").VueConstructor<import("vue/types/vue").Vue>;
        }[];
        account: {
            path: string;
            name: string;
            meta: {
                title: string;
                auth: (to: any, _from: any, _next: any) => Promise<any>;
            };
            component: import("vue").VueConstructor<import("vue/types/vue").Vue>;
            children: {
                path: string;
                name: string;
                meta: {
                    title: string;
                };
                component: import("vue").VueConstructor<import("vue/types/vue").Vue>;
            }[];
        };
    };
};
export { modalHeight, modalWidth } from './components/utils/modal';
export * from './service';
export { MicroAppHelper } from './libs/micro-app';
